* 
  {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: arial;
  font-size: 12px;
  }

html, body 
  {
  height: 100%; width: 100%;
  }

body 
  {
  display: flex;
  align-items: center;
  justify-content: center;

  background-color: #798;
  }

#raami
  {
  display: grid;
  grid-template-rows: 100px auto 100px;
  grid-gap: 8px;

  height: 600px;
  max-height: 100%;

  width: 500px;
  max-width: 100%; 

  background-color: #ddd;

  border: solid 2px green;

  box-shadow: 3px 4px 10px 5px rgba(0,0,0,0.2);

  padding: 20px;

  text-align: center;
  }

#raami>*
  {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 5px;
  background-color: #eee;
  }

h1
  {
  font-size: 30px;
  color: #373;
  }

#p1
  {
  font-size: 20px;
  }

#osoite
  {
  color: #373;
  font-size: 30px;
  line-height: 60px;
  }
